<?php
/**
 * Copyright © 2016 Affilae. All rights reserved.
 */
namespace Affilae\Tracking\Controller\Adminhtml;

/**
 * Admin blog rule edit controller
 */
class Rule extends Actions
{
	/**
	 * Form session key
     *
	 * @var string
	 */
    protected $_formSessionKey  = 'tracking_rule_form_data';

    /**
     * Allowed Key
     *
     * @var string
     */
    protected $_allowedKey      = 'Affilae_Tracking::rule';

    /**
     * Model class name
     *
     * @var string
     */
    protected $_modelClass      = 'Affilae\Tracking\Model\Rule';

    /**
     * Active menu key
     *
     * @var string
     */
    protected $_activeMenu      = 'Affilae_Tracking::rule';

    /**
     * Status field name
     *
     * @var string
     */
    protected $_statusField     = 'is_active';

}
